org.keycloak.common.util

## Class PathHelper

- java.lang.Object
- - org.keycloak.common.util.PathHelper

-     public class PathHelper
      extends Object

  A utility class for handling URI template parameters. As the Java regulare expressions package does not handle named groups, this class attempts to simulate that functionality by using groups.
  Since:
    1.0 Nov 8, 2006
  Author:
    Ryan J. McDonough, Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `closeCurlyReplacement`
    `static char` | `openCurlyReplacement`
    `static String` | `URI_PARAM_NAME_REGEX`
    `static Pattern` | `URI_PARAM_PATTERN`
    `static String` | `URI_PARAM_REGEX`
    `static String` | `URI_PARAM_REGEX_REGEX`
    `static Pattern` | `URI_TEMPLATE_PATTERN` A regex pattern that searches for a URI template parameter in the form of {*}

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `recoverEnclosedCurlyBraces(String str)`
    `static String` | `replaceEnclosedCurlyBraces(String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI_PARAM_NAME_REGEX

          public static final String URI_PARAM_NAME_REGEX

      See Also:
        Constant Field Values

    - #### URI_PARAM_REGEX_REGEX

          public static final String URI_PARAM_REGEX_REGEX

      See Also:
        Constant Field Values

    - #### URI_PARAM_REGEX

          public static final String URI_PARAM_REGEX

      See Also:
        Constant Field Values

    - #### URI_PARAM_PATTERN

          public static final Pattern URI_PARAM_PATTERN

    - #### URI_TEMPLATE_PATTERN

          public static final Pattern URI_TEMPLATE_PATTERN

      A regex pattern that searches for a URI template parameter in the form of {*}

    - #### openCurlyReplacement

          public static final char openCurlyReplacement

      See Also:
        Constant Field Values

    - #### closeCurlyReplacement

          public static final char closeCurlyReplacement

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PathHelper

          public PathHelper()

  - ### Method Detail

    - #### replaceEnclosedCurlyBraces

          public static String replaceEnclosedCurlyBraces(String str)

    - #### recoverEnclosedCurlyBraces

          public static String recoverEnclosedCurlyBraces(String str)

Copyright © 2020 JBoss by Red Hat. All rights reserved.